Skip to main content
GET
/
organizations
/
{organizationId}
/
environment-objects
List environment objects
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/environment-objects \
  --header 'Authorization: Bearer <token>'
{
  "environmentObjects": [
    {
      "objectKey": "<string>",
      "objectType": "CONNECTION",
      "scope": "WORKSPACE",
      "scopeEntityId": "<string>",
      "airflowVariable": {
        "isSecret": true,
        "value": "<string>"
      },
      "autoLinkDeployments": true,
      "connection": {
        "type": "<string>",
        "connectionAuthType": {
          "airflowType": "<string>",
          "authMethodName": "<string>",
          "description": "<string>",
          "id": "<string>",
          "name": "<string>",
          "parameters": [
            {
              "airflowParamName": "<string>",
              "dataType": "<string>",
              "description": "<string>",
              "friendlyName": "<string>",
              "isInExtra": true,
              "isRequired": true,
              "isSecret": true,
              "example": "<string>",
              "pattern": "<string>"
            }
          ],
          "providerPackageName": "<string>",
          "guidePath": "<string>",
          "providerLogo": "<string>"
        },
        "extra": {},
        "host": "<string>",
        "login": "<string>",
        "password": "<string>",
        "port": 123,
        "schema": "<string>"
      },
      "createdAt": "<string>",
      "createdBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "excludeLinks": [
        {
          "scope": "DEPLOYMENT",
          "scopeEntityId": "<string>"
        }
      ],
      "id": "<string>",
      "links": [
        {
          "scope": "DEPLOYMENT",
          "scopeEntityId": "<string>",
          "airflowVariableOverrides": {
            "value": "<string>"
          },
          "connectionOverrides": {
            "extra": {},
            "host": "<string>",
            "login": "<string>",
            "password": "<string>",
            "port": 123,
            "schema": "<string>",
            "type": "<string>"
          },
          "metricsExportOverrides": {
            "authType": "BASIC",
            "basicToken": "<string>",
            "endpoint": "<string>",
            "exporterType": "PROMETHEUS",
            "headers": {},
            "labels": {},
            "password": "<string>",
            "username": "<string>"
          }
        }
      ],
      "metricsExport": {
        "endpoint": "<string>",
        "exporterType": "PROMETHEUS",
        "authType": "BASIC",
        "basicToken": "<string>",
        "headers": {},
        "labels": {},
        "password": "<string>",
        "username": "<string>"
      },
      "sourceScope": "WORKSPACE",
      "sourceScopeEntityId": "<string>",
      "updatedAt": "<string>",
      "updatedBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      }
    }
  ],
  "limit": 123,
  "offset": 123,
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the environment object belongs.

Query Parameters

offset
integer
default:0

The number of results to skip before returning values.

Required range: x >= 0
limit
integer
default:20

The maximum number of results to return.

Required range: x >= 0
sorts
enum<string>[]

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Available options:
objectType:asc,
objectType:desc,
objectKey:asc,
objectKey:desc,
createdAt:asc,
createdAt:desc,
updatedAt:asc,
updatedAt:desc
workspaceId
string

The Workspace ID to filter for. The API returns details for all environment objects belonging only to this specified Workspace.

deploymentId
string

The Deployment ID to filter for. The API returns details for all environment objects belonging only to this specified Deployment.

objectType
enum<string>

The environment object type to filter for. The API returns details for all environment objects belonging only to this specified object type.

Available options:
CONNECTION,
AIRFLOW_VARIABLE,
METRICS_EXPORT
objectKey
string

The environment object key to filter for. The API returns details for all environment objects belonging only to the specified object key.

showSecrets
boolean

If true, returns the actual values of fields of type secret in the API response.

resolveLinked
boolean

Resolve and return the environment objects linked to the specified Deployment or Workspace in the API response.

Response

OK

environmentObjects
object[]
required

The list of environment objects

limit
integer
required

The maximum number of environment objects in current page

offset
integer
required

The offset of the current page of environment objects

totalCount
integer
required

The total number of environment objects